Subject: Re: bug#27799: 26.0.50; SVG pictures in EWW: error in process filter, invalid image type 'imagemagick'

From: Jean Louis <[email-masked]>
Date: Mon, 24 Jul 2017 11:10:07 +0300

Dear Lars,

Thank you, I do not use distributions, thus also
no package manager.

Latest Imagemagick is installed and with all
development files there as well.

I guess Emacs did not recognize it.

Today with latest Emacs from git, I can nicely see
some example SVG images, which makes browsing with
EWW so much nicer, and without interruption.

I am still testing it, at least there are no
complaints.

In regards to imagemagick, I do not know why it is
not recognized. I do have all required libraries,
and it was being recognized before months without
problems. 

Jean

On Mon, Jul 24, 2017 at 09:53:32AM +0200, Lars Ingebrigtsen wrote:
> Jean Louis <[email-masked]> writes:
> 
> > And I still do not get imagemagick, it says "Does
> > Emacs use imagemagick = no", even if I do have
> > imagemagick here.
> 
> Did you say "sudo apt-get build-dep emacs25"?  What ./configure options
> you give doesn't matter unless you have the required libraries installed
> on your machine.
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no